function fullprior = computeFullUninformativePrior(Marginals, Graphs, laplace_const)

% For each component, compute prior
nevents = length(Marginals{1}.w);

[Valid, ~] = getValidConfs(Marginals, 1:length(Marginals));

fullprior = computePrior(Marginals,Graphs,Valid+1, nevents, laplace_const);

end
