function [prior] = computeSinglePrior(Graphs)

prior = zeros(4,1);
nnodes = length(Graphs{1});

for ctr = 1:length(Graphs)
    closure = Graphs{ctr};
    for i = 1:nnodes
        for j = i+1:nnodes
            if(closure(i,j))
                idx = 1;
            elseif(closure(j,i))
                idx = 2;
            elseif(any(closure(:,i) & closure(:,j)))
                idx = 3;
            else
                idx = 4;
            end
            prior(idx) = prior(idx) + 1;
        end
    end
end

prior = prior/sum(prior);
s = prior(1) + prior(2);
prior(1) = s/2;
prior(2) = s/2;

end
